## pygalmesh 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(pygalmesh CXX)

add_subdirectory(src)

=== Makefile ===
VERSION=$(shell python3 -c "import pygalmesh; print(pygalmesh.__version__)")

default:
	@echo "\"make publish\"?"

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	@echo "Tagging v$(VERSION)..."
	git tag v$(VERSION)
	git push --tags

upload: setup.py
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	rm -rf dist/*
	python3 setup.py sdist
	twine upload dist/*.tar.gz
	# HTTPError: 400 Client Error: Binary wheel 'pygalmesh-0.2.0-cp27-cp27mu-linux_x86_64.whl' has an unsupported platform tag 'linux_x86_64'. for url: https://upload.pypi.org/legacy/
	# python3 setup.py bdist_wheel --universal
	# twine upload dist/*.whl

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf

black:
	black setup.py pygalmesh/ test/*.py

lint:
	black --check setup.py pygalmesh/ test/*.py
	flake8 setup.py pygalmesh/ test/*.py

=== src/CMakeLists.txt ===
FIND_PACKAGE(pybind11 REQUIRED)
# include_directories(${PYBIND11_INCLUDE_DIR})

FIND_PACKAGE(Eigen3 REQUIRED)
include_directories(${EIGEN3_INCLUDE_DIR})

FILE(GLOB pygalmesh_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
# FILE(GLOB pygalmesh_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.hpp")

pybind11_add_module(pygalmesh ${pygalmesh_SRCS})

# Call CGAL as late as possible. It messes around with some
# compiler variables. See bugs
# <https://github.com/CGAL/cgal/issues/2849> and
# <https://github.com/CGAL/cgal/issues/2850>.
FIND_PACKAGE(CGAL REQUIRED)
include(${CGAL_USE_FILE})

# ADD_LIBRARY(pygalmesh ${pygalmesh_SRCS})
target_link_libraries(pygalmesh PRIVATE ${CGAL_LIBRARIES})

# execute_process(
#   COMMAND python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"
#   OUTPUT_VARIABLE PYTHON_SITE_PACKAGES
#   OUTPUT_STRIP_TRAILING_WHITESPACE
#   )
# install(TARGETS _pygalmesh DESTINATION ${PYTHON_SITE_PACKAGES})
# install(
#   FILES ${CMAKE_BINARY_DIR}/src/pygalmesh.py
#   DESTINATION ${PYTHON_SITE_PACKAGES}
#   )

=== debian/changelog ===
pygalmesh (0.2.6-1) unstable; urgency=medium

  * New upstream release.
    - fixes meshio API used in pygalmesh tests
  * add debian/tests (autopkgtest) to run pytest-3

 -- Drew Parsons <dparsons@debian.org>  Wed, 14 Nov 2018 23:10:51 +0800

pygalmesh (0.2.5-1) unstable; urgency=medium

  * Initial release (Closes: #910278)
    - package Python 3 module only (Python 2 is deprecated)

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Oct 2018 00:49:13 +0800

=== debian/control ===
Source: pygalmesh
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python, python3-all-dev, python3-setuptools,
 libcgal-dev,
 libeigen3-dev,
 python3-pybind11 (>= 2.2)
Standards-Version: 4.2.1
Homepage: https://github.com/nschloe/pygalmesh
Vcs-Browser: https://salsa.debian.org/science-team/pygalmesh
Vcs-Git: https://salsa.debian.org/science-team/pygalmesh.git

Package: python3-pygalmesh
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pygalmesh-doc
Description: a Python 3 frontend to CGAL's 3D mesh generators
 pygalmesh makes it easy to create high-quality 3D volume and surface
 meshes.
 .
 CGAL offers two different approaches for mesh generation:
  -   Meshes defined implicitly by level sets of functions.
  -   Meshes defined by a set of bounding planes.
 .
 pygalmesh provides a front-end to the first approach, which has the
 following advantages and disadvantages:
  -   All boundary points are guaranteed to be in the level set within
      any specified residual. This results in smooth curved surfaces.
  -   Sharp intersections of subdomains (e.g., in unions or
      differences of sets) need to be specified manually (via feature edges,
      see below), which can be tedious.
 .
 On the other hand, the bounding-plane approach (realized by mshr),
 has the following properties:
  -   Smooth, curved domains are approximated by a set of bounding
      planes, resulting in more of less visible edges.
  -   Intersections of domains can be computed automatically, so
      domain unions etc. have sharp edges where they belong.
 .
 pygalmesh and mshr are therefore complementary.
 .
 This package installs the pygalmesh module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pygalmesh

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3
Depends: @, @builddeps@,
 python3-meshio,
 python3-pytest

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pygalmesh-$1.tar.gz%" \
   https://github.com/nschloe/pygalmesh/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pygalmesh 0.4.0

=== debian/changelog ===
pygalmesh (0.4.0-1ubuntu1) eoan; urgency=medium

  * Avoid autopkgtest failures:
    - Relax tolerance in test_extrude (armhf)
    - Relax tolerance in test_inr (arm64, ppc64el and s390x)
    - Xfail test_volume_from_surface on big-endian

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Oct 2019 08:10:12 +0000

pygalmesh (0.4.0-1) unstable; urgency=medium

  * set debian/watch to track upstream git tags,
    needed to pull in git lfs objects (mesh files)
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Aug 2019 00:42:35 +0800

pygalmesh (0.3.6-2) unstable; urgency=medium

  * debian/clean: delete pygalmesh-from-inr.1 and
    pygalmesh-volume-from-surface.1, generated in
    override_dh_auto_build. Thanks Joachim Reichel.
    Closes: #933848, #933986.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Aug 2019 16:53:03 +0800

pygalmesh (0.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2019 10:25:00 +0800

pygalmesh (0.3.5-1) unstable; urgency=medium

  * New upstream release.
    - provides utility scripts pygalmesh-from-inr and
      pygalmesh-volume-from-surface

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Jul 2019 19:33:56 +0800

pygalmesh (0.3.3-2) experimental; urgency=medium

  * debian/tests/control: Depends: python3-requests.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2019 15:11:08 +0800

pygalmesh (0.3.3-1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 May 2019 16:12:20 +0800

pygalmesh (0.3.1-3) experimental; urgency=medium

  * skip dh_dwz and don't build dbgsym packages on arches where debug
    symbols have been switched off (-g0)

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 May 2019 00:33:39 +0800

pygalmesh (0.3.1-2) experimental; urgency=medium

  * disable debugging symbols (replace -g flag with -g0 in CFLAGS)
    on low memory (32 bit) arches:
    armhf i386 mips mipsel hppa hurd-i386 kfreebsd-i386 powerpcspe x32
    Closes: #928140.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 May 2019 22:40:41 +0800

pygalmesh (0.3.1-1) experimental; urgency=medium

  * New upstream release
    - supports periodic meshes
    - Build-Depends: python3-meshio
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Apr 2019 22:41:19 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: pygalmesh
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-python, python3-all-dev, python3-setuptools,
  libcgal-dev,
  libeigen3-dev,
+ pandoc,
+ python3-meshio,
  python3-pybind11 (>= 2.2)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/nschloe/pygalmesh
 Vcs-Browser: https://salsa.debian.org/science-team/pygalmesh
 Vcs-Git: https://salsa.debian.org/science-team/pygalmesh.git
@@ -42,4 +45,10 @@
  .
  pygalmesh and mshr are therefore complementary.
  .
+ pygalmesh also interfaces CGAL's 3D periodic mesh generation.
+ .
  This package installs the pygalmesh module for Python 3.
+ .
+ It also provides the utility scripts pygalmesh-from-inr and
+ pygalmesh-volume-from-surface for generating volume meshes from
+ INR or surface meshes.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,35 @@
 
 export PYBUILD_NAME=pygalmesh
 
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# some arches (mostly 32 bit) don't provide enough memory to build with debug symbols
+ARCH_NO_DEBUG_SYMBOLS := armhf i386 mips mipsel hppa hurd-i386 kfreebsd-i386 powerpcspe x32
+ifneq ($(findstring $(DEB_BUILD_ARCH),$(ARCH_NO_DEBUG_SYMBOLS)),)
+# disable debugging symbols (replace -g with -g0 in build flags) on weak arches
+  CFLAGS := $(shell dpkg-buildflags --get CFLAGS | sed 's/-g /-g0 /' )
+endif
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_build:
+	dh_auto_build
+	pandoc -s -t man debian/pygalmesh-from-inr.md -o pygalmesh-from-inr.1
+	pandoc -s -t man debian/pygalmesh-volume-from-surface.md -o pygalmesh-volume-from-surface.1
+
+# debug symbols (-g) have been switched off (-g0) in CFLAGS for some arches, so no point building dbgsym packages
+override_dh_strip:
+	case " $(ARCH_NO_DEBUG_SYMBOLS) " in \
+	    *\ $(DEB_HOST_ARCH)\ *) dh_strip --no-automatic-dbgsym;; \
+	    *) dh_strip;; \
+	esac
+
+override_dh_dwz:
+	case " $(ARCH_NO_DEBUG_SYMBOLS) " in \
+	    *\ $(DEB_HOST_ARCH)\ *) echo "skipping dh_dwz since debug symbols (-g) have been switched off (-g0) for $(DEB_HOST_ARCH)";; \
+	    *) dh_dwz;; \
+	esac

## pygalmesh 0.5.0

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,17 @@
 
 clean:
 	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
+	@rm -rf build/*
+	@rm -rf pygalmesh.egg-info/
+	@rm -rf dist/
+
+format:
+	isort -rc .
+	black .
 
 black:
-	black setup.py pygalmesh/ test/*.py
+	black .
 
 lint:
-	black --check setup.py pygalmesh/ test/*.py
+	black --check .
 	flake8 setup.py pygalmesh/ test/*.py

=== debian/changelog ===
pygalmesh (0.5.0-3) unstable; urgency=medium

  * more tolerance relaxing in relax_test_tolerance.patch.
    Closes: #947058.

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 09:19:05 +1100

pygalmesh (0.5.0-2) unstable; urgency=medium

  * debian patch relax_test_tolerance.patch relaxes tolerance in
    test_inr.py to allow successful tests on arm64. Closes: #947058.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Dec 2019 10:54:34 +1100

pygalmesh (0.5.0-1) unstable; urgency=medium

  * New upstream release.
    - fixes build against CGAL 5. Thanks Joachim Reichel for a patch.
      Closes: #946234.

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Dec 2019 14:07:47 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pygalmesh
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dh-python, python3-all-dev, python3-setuptools,
@@ -11,7 +10,7 @@
  pandoc,
  python3-meshio,
  python3-pybind11 (>= 2.2)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/nschloe/pygalmesh
 Vcs-Browser: https://salsa.debian.org/science-team/pygalmesh
 Vcs-Git: https://salsa.debian.org/science-team/pygalmesh.git
@@ -20,7 +19,7 @@
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-pygalmesh-doc
-Description: a Python 3 frontend to CGAL's 3D mesh generators
+Description: Python 3 frontend to CGAL's 3D mesh generators
  pygalmesh makes it easy to create high-quality 3D volume and surface
  meshes.
  .

## pygalmesh 0.5.2

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	@echo "Tagging v$(VERSION)..."
 	git tag v$(VERSION)
 	git push --tags
+	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "$(VERSION)"}' https://api.github.com/repos/nschloe/pygalmesh/releases
 
 upload: setup.py
 	# Make sure we're on the master branch

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,17 +4,13 @@
 FIND_PACKAGE(Eigen3 REQUIRED)
 include_directories(${EIGEN3_INCLUDE_DIR})
 
+FIND_PACKAGE(CGAL REQUIRED)
+include(${CGAL_USE_FILE})
+
 FILE(GLOB pygalmesh_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
 # FILE(GLOB pygalmesh_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.hpp")
 
 pybind11_add_module(pygalmesh ${pygalmesh_SRCS})
-
-# Call CGAL as late as possible. It messes around with some
-# compiler variables. See bugs
-# <https://github.com/CGAL/cgal/issues/2849> and
-# <https://github.com/CGAL/cgal/issues/2850>.
-FIND_PACKAGE(CGAL REQUIRED)
-include(${CGAL_USE_FILE})
 
 # ADD_LIBRARY(pygalmesh ${pygalmesh_SRCS})
 target_link_libraries(pygalmesh PRIVATE ${CGAL_LIBRARIES})

=== debian/changelog ===
pygalmesh (0.5.2-1) unstable; urgency=medium

  * New upstream release.
    - versioned Build-Depends: python3-meshio (>= 4)
  * Update debian patch relax_test_tolerance.patch to relax upstream
    tolerance only for ref[5]. Closes: #951864.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Feb 2020 11:54:01 +0800

pygalmesh (0.5.0-4) unstable; urgency=medium

  * It is possible to build pygalmesh using cmake, but normally it
    should be built using setup.py (distutils). Disambiguate between
    the two build systems by setting PYBUILD_SYSTEM=distutils.
    Closes: #946233.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2020 15:50:47 +0800

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  libcgal-dev,
  libeigen3-dev,
  pandoc,
- python3-meshio,
+ python3-meshio (>= 4),
  python3-pybind11 (>= 2.2)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/nschloe/pygalmesh
 Vcs-Browser: https://salsa.debian.org/science-team/pygalmesh
 Vcs-Git: https://salsa.debian.org/science-team/pygalmesh.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=pygalmesh
+
+export PYBUILD_SYSTEM=distutils
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

## pygalmesh 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
-VERSION=$(shell python3 -c "import pygalmesh; print(pygalmesh.__version__)")
+VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")
 
 default:
 	@echo "\"make publish\"?"
 
 tag:
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
-	@echo "Tagging v$(VERSION)..."
-	git tag v$(VERSION)
-	git push --tags
-	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "$(VERSION)"}' https://api.github.com/repos/nschloe/pygalmesh/releases
+	# @echo "Tagging v$(VERSION)..."
+	# git tag v$(VERSION)
+	# git push --tags
+	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/pygalmesh/releases
 
 upload: setup.py
 	# Make sure we're on the master branch

=== debian/changelog ===
pygalmesh (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Apr 2020 16:34:22 +0800

## pygalmesh 0.9.1

=== Makefile ===
--- 
+++ 
@@ -5,19 +5,15 @@
 
 tag:
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
-	# @echo "Tagging v$(VERSION)..."
-	# git tag v$(VERSION)
-	# git push --tags
 	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/pygalmesh/releases
 
-upload: setup.py
+upload: clean
 	# Make sure we're on the master branch
 	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
-	rm -rf dist/*
 	python3 setup.py sdist
 	twine upload dist/*.tar.gz
 	# HTTPError: 400 Client Error: Binary wheel 'pygalmesh-0.2.0-cp27-cp27mu-linux_x86_64.whl' has an unsupported platform tag 'linux_x86_64'. for url: https://upload.pypi.org/legacy/
-	# python3 setup.py bdist_wheel --universal
+	# python3 setup.py bdist_wheel
 	# twine upload dist/*.whl
 
 publish: tag upload
@@ -29,11 +25,9 @@
 	@rm -rf dist/
 
 format:
-	isort -rc .
+	isort .
 	black .
-
-black:
-	black .
+	blacken-docs README.md
 
 lint:
 	black --check .

=== debian/changelog ===
pygalmesh (0.9.1-2) unstable; urgency=medium

  * debian patch test_relax_tolerance.patch relaxes test tolerances
    (needed for i386 to pass tests)

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Oct 2020 13:43:21 +0800

pygalmesh (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * update versioned Build-Depends: python3-pybind11 (>= 2.5),
    python3-setuptools (>= 42)

 -- Drew Parsons <dparsons@debian.org>  Thu, 15 Oct 2020 21:05:40 +0800

pygalmesh (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * generate manpages directly from binary commands using help2man
    rather than markdown and pandoc.

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Sep 2020 17:33:24 +0800

pygalmesh (0.7.1-1) unstable; urgency=medium

  * New upstream release.
    - changes copyright licence to GPL-3
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Sep 2020 23:35:09 +0800

pygalmesh (0.6.6-1) unstable; urgency=medium

  * New upstream release.
    - drop debian patch relax_test_tolerance.patch. inr test tolerance
      raised upstream.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 May 2020 19:28:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
- dh-python, python3-all-dev, python3-setuptools,
+Build-Depends: debhelper-compat (= 13),
+ dh-python, python3-all-dev, python3-setuptools (>= 42),
  libcgal-dev,
  libeigen3-dev,
- pandoc,
  python3-meshio (>= 4),
- python3-pybind11 (>= 2.2)
+ python3-pybind11 (>= 2.5)
 Standards-Version: 4.5.0
 Homepage: https://github.com/nschloe/pygalmesh
 Vcs-Browser: https://salsa.debian.org/science-team/pygalmesh

=== debian/tests/control ===
Test-Command: pytest-3
Depends: @, @builddeps@,
 python3-pytest,
 python3-requests

## pygalmesh 0.10.6

=== CMakeLists.txt ===
# CMake is used for debugging in pygalmesh. Like every other Python package, the
# production build system is setuptools.
cmake_minimum_required(VERSION 3.0)

project(pygalmesh CXX)

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,10 @@
 # ADD_LIBRARY(pygalmesh ${pygalmesh_SRCS})
 target_link_libraries(pygalmesh PRIVATE ${CGAL_LIBRARIES})
 
+# https://github.com/CGAL/cgal/issues/6002
+# find_program(iwyu_path NAMES include-what-you-use iwyu REQUIRED)
+# set_property(TARGET pygalmesh PROPERTY CXX_INCLUDE_WHAT_YOU_USE ${iwyu_path})
+
 # execute_process(
 #   COMMAND python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"
 #   OUTPUT_VARIABLE PYTHON_SITE_PACKAGES

=== debian/changelog ===
pygalmesh (0.10.6-5build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:40:02 +0000

pygalmesh (0.10.6-5build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:53:45 +0000

pygalmesh (0.10.6-5) unstable; urgency=medium

  * fix test skip for s390x

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2024 19:21:18 +0100

pygalmesh (0.10.6-4) unstable; urgency=medium

  * skip test_from_array_with_subdomain_sizing on s390x
  * use DEB_HOST_ARCH not DEB_BUILD_ARCH to control build config

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2024 10:25:15 +0100

pygalmesh (0.10.6-3) unstable; urgency=medium

  * Team upload.
  * Fix ftbfs with upstream commit. (Closes: #1074381)
  * Add DEB_BUILD_MAINT_OPTIONS to fix hardening issues.
  * Add pybuild-plugin-pyproject on B-D.
  * Bump Standards-Version to 4.7.0.
  * Add Rules-Requires-Root

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 15 Nov 2024 23:29:58 +0800

pygalmesh (0.10.6-2) unstable; urgency=medium

  * update debian patch test_relax_tolerance.patch to relax tolerance
    in test_inr. Closes: #1060276.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jan 2024 12:44:41 +0100

pygalmesh (0.10.6-1) unstable; urgency=medium

  * New upstream release.
  * run debian/tests (autopkgtest) over all supported python versions

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Jan 2022 17:21:20 +0100

pygalmesh (0.10.5-2) unstable; urgency=medium

  * debian/tests skip test_rectangle on i386
    (see https://github.com/nschloe/pygalmesh/issues/170)
  * reinstate debian patch test_relax_tolerance.patch
    for test_extrude on i386. Closes: #996336.

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Oct 2021 17:15:26 +0100

pygalmesh (0.10.5-1) unstable; urgency=medium

  * New upstream release.
    - provides single pygalmesh executable
  * update Build-Depends: python3-all-dev:any (>= 3.7)
  * drop debian patch test_relax_tolerance.patch
    (tolerance changes made upstream)
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Oct 2021 16:20:43 +0200

pygalmesh (0.9.4-1) experimental; urgency=medium

  * New upstream release.
  * Build-Depends: python3-pybind11 (>= 2.6)

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Mar 2021 11:07:53 +0100

pygalmesh (0.9.3-1) experimental; urgency=medium

  * New upstream release.
    - provides better handling of tetrahedra
    - Build-Depends: libgmp-dev, libmpfr-dev
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Feb 2021 16:50:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,18 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-python, python3-all-dev, python3-setuptools (>= 42),
+ dh-python, python3-all-dev:any (>= 3.7), python3-setuptools (>= 42),
  libcgal-dev,
  libeigen3-dev,
+ libgmp-dev, libmpfr-dev,
  python3-meshio (>= 4),
- python3-pybind11 (>= 2.5)
-Standards-Version: 4.5.0
+ python3-pybind11 (>= 2.6),
+ pybuild-plugin-pyproject
+Standards-Version: 4.7.0
 Homepage: https://github.com/nschloe/pygalmesh
 Vcs-Browser: https://salsa.debian.org/science-team/pygalmesh
 Vcs-Git: https://salsa.debian.org/science-team/pygalmesh.git
+Rules-Requires-Root: no
 
 Package: python3-pygalmesh
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,29 +3,30 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 export PYBUILD_NAME=pygalmesh
 
 export PYBUILD_SYSTEM=distutils
 
-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 # some arches (mostly 32 bit) don't provide enough memory to build with debug symbols
 ARCH_NO_DEBUG_SYMBOLS := armhf i386 mips mipsel hppa hurd-i386 kfreebsd-i386 powerpcspe x32
-ifneq ($(findstring $(DEB_BUILD_ARCH),$(ARCH_NO_DEBUG_SYMBOLS)),)
+ifneq ($(findstring $(DEB_HOST_ARCH),$(ARCH_NO_DEBUG_SYMBOLS)),)
 # disable debugging symbols (replace -g with -g0 in build flags) on weak arches
   CFLAGS := $(shell dpkg-buildflags --get CFLAGS | sed 's/-g /-g0 /' )
 endif
 
+ifeq ($(DEB_HOST_ARCH),s390x)
+  export PYBUILD_TEST_ARGS = -k "not test_from_array_with_subdomain_sizing"
+endif
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_auto_build:
-	dh_auto_build
-	pandoc -s -t man debian/pygalmesh-from-inr.md -o pygalmesh-from-inr.1
-	pandoc -s -t man debian/pygalmesh-volume-from-surface.md -o pygalmesh-volume-from-surface.1
 
 # debug symbols (-g) have been switched off (-g0) in CFLAGS for some arches, so no point building dbgsym packages
 override_dh_strip:

=== debian/tests/control ===
Tests: test-pygalmesh
Depends: @, @builddeps@,
 python3-all,
 python3-pytest,
 python3-requests

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://github.com/nschloe/pygalmesh.git \
refs/tags/v([\d\.]+) debian uupdate
